Skip to content
Carts & CheckoutCustomer

Get customer order

Customer order detail with items, shipping, payments and status timeline

GET/v1/customer/orders/{orderId}
Requires an access token.

Path Parameters

orderId*string

Identifier of the order.

Header Parameters

Authorization*string

OAuth 2.0 bearer token.

x-Store-Domain*string

Slug of the store or one of its configured domains, such as my-store.

Length1 <= length <= 253
X-Customer-Session?string

Customer session from POST /v1/customer/sessions. Send it instead of Authorization, never both.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://storefront.ecomiq.pe/v1/customer/orders/7204558912004325350" \  -H "Authorization: Bearer <token>" \  -H "x-Store-Domain: my-store" \  -H "X-Customer-Session: <session-id>"
{  "id": "7204558912004326262",  "orderNumber": "ORD-2026-0001",  "orderGroup": "ORD-2026-0001",  "status": "new",  "step": "pending",  "total": 178,  "totalPaid": 24,  "currencyCode": "PEN",  "orderDate": "2026-09-28T15:30:00Z",  "createdOn": "2026-09-28T15:30:00Z",  "updatedOn": "2026-09-28T15:30:00Z",  "paymentAt": "2026-09-28T15:30:00Z",  "subTotal": 178,  "discount": 10,  "shipping": 1,  "tax": 1,  "email": "andrea.ramos@example.com",  "phone": "+51987654321",  "firstName": "Andrea",  "lastName": "Ramos",  "shippingAddress": {    "address1": "Av. Larco 1234",    "city": "Lima",    "countryCode": "PE",    "name": "Mi tienda",    "company": "Comercial Lima SAC",    "address2": "Dpto. 501",    "province": "Lima",    "postalCode": "15074"  },  "shippingAddressSummary": "Andrea Ramos",  "billingAddress": {    "address1": "Av. Larco 1234",    "city": "Lima",    "countryCode": "PE",    "name": "Mi tienda",    "company": "Comercial Lima SAC",    "address2": "Dpto. 501",    "province": "Lima",    "postalCode": "15074"  },  "items": [    {      "id": "7204558912004326262",      "orderId": "7204558912004325350",      "productId": "7204558912004322039",      "variantId": "7204558912004323197",      "title": "Andrea Ramos",      "subtitle": "Andrea Ramos",      "thumbnail": "https://mi-tienda.ecomiq.app/images/polo-de-algodon.webp",      "variantTitle": "Andrea Ramos",      "productHandle": "polo-de-algodon",      "productUrl": "https://mi-tienda.ecomiq.app/products/polo-de-algodon",      "quantity": 2,      "unitPrice": 89,      "total": 178,      "status": "new",      "step": "pending",      "carrierName": "Courier Lima",      "trackingNumber": "PE1234567890",      "trackingLink": "https://tracking.example.com/PE1234567890",      "shippedAt": "2026-09-28T15:30:00Z",      "deliveredAt": "2026-09-28T15:30:00Z",      "modifiers": [        {          "id": "7204558912004325350",          "modifierGroupId": "7204558912004324624",          "modifierGroupName": "Personalización",          "modifierOptionId": "7204558912004327012",          "modifierOptionName": "Bordado",          "value": "Mi tienda",          "quantity": 2,          "priceDelta": 89        }      ]    }  ],  "payments": [    {      "id": "7204558912004326262",      "paymentMethod": "Tarjeta de crédito",      "paymentCode": "card",      "cardBrand": "Andrea Ramos",      "cardLast4": "Andrea Ramos",      "installments": 1,      "amount": 178,      "paymentStatus": "pending",      "receiptUrl": "https://mi-tienda.ecomiq.app/products/polo-de-algodon",      "createdOn": "2026-09-28T15:30:00Z"    }  ],  "statusTimeline": [    {      "key": "color",      "label": "Andrea Ramos",      "occurredAt": "2026-09-28T15:30:00Z",      "description": "Polo de algodón pima para uso diario.",      "status": "active",      "source": "Tienda online"    }  ],  "shipments": [    {      "carrierName": "Courier Lima",      "trackingNumber": "PE1234567890",      "trackingLink": "https://tracking.example.com/PE1234567890"    }  ]}